package com.wzj.soopin.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.wzj.soopin.order.domain.entity.Order;
import com.wzj.soopin.order.domain.entity.VerificationCodes;
import com.wzj.soopin.order.domain.vo.ManagerOrderDetailVO;
import org.dromara.common.core.domain.R;

import java.util.List;

public interface VerificationCodeService extends IService<VerificationCodes> {


    R generateVerificationCode(Long orderId);

    void verifyCode(String  code,String tenantId);

    Order scan(String code);

    List<VerificationCodes> getByOrderId(Long orderId);
}
